<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
      "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <title>Funciones WebDAV en Amaya</title>
  <meta name="generator" content="amaya 8.2, see http://www.w3.org/Amaya/">
  <link href="style.css" rel="stylesheet" type="text/css">
</head>

<body>

<table border="0" width="100%" summary="toc">
  <tbody>
    <tr>
      <td><img alt="W3C" src="../images/w3c_home"> <img alt="Amaya"
        src="../images/amaya.gif"></td>
      <td><p align="right"><a href="Publishing.html.es" accesskey="p"><img
        alt="previous" src="../images/left.gif"></a> <a href="Manual.html.es"
        accesskey="t"><img alt="superior" src="../images/up.gif"></a> <a
        href="Printing.html.es" accesskey="n"><img alt="siguiente" 
        src="../images/right.gif"></a></p>
      </td>
    </tr>
  </tbody>
</table>

<div id="page_body">
<h1>Funciones WebDAV en Amaya</h1>

<h2>Acerca de WebDAV</h2>

<p><a href="http://www.webdav.org/">WebDAV (WWW Distributed Authoring and
Versioning)</a> es un conjunto de extensiones al protocolo HTTP que permite a
los usuarios colaborar en la edicin y gestin de recursos web en servidores
remotos. Su objetivo es extender el protocolo HTTP para permitir una
arquitectura abierta en el nivel del protocolo, para desarrollar nuevas
herramientas de creacin  distribuida en la web, haciendo hincapi en la
creacin de pginas web en colaboracin (ver <a
href="http://andrew2.andrew.cmu.edu/rfc/rfc2518.html">RFC 2518</a>). WebDAV
define operaciones sobre las propiedades, las colecciones, los espacios de
nombres y la poteccin de sobreescritura (mecanismo de bloqueo) y, para estas
operaciones, define nuevos mtodos, encabezados, organismos de entidad de
peticin y respuesta. Sin embargo, las caractersticas de tratamiento de
versiones incluidas en la propuesta original se han trasladado al grupo de
trabajo de la IEFT  <a href="http://www.webdav.org/">Delta-V</a>, que
pretende extender  WebDAV y HTTP/1.1 en estas caractersticas (ver el
artculo de E. J. Whitehead "<a
href="http://www.webtechniques.com/  archives/1999/10/whitehead/">El futuro
del desarrollo de software distribuido en Internet</a>").</p>

<p>El <strong>mecanismo de bloqueo</strong> definido en WebDAV ha sido
diseado para prevenir la sobreescritura de recursos (es decir, prevenir el
problema de la actualizacin perdida), empleando las operaciones de bloqueo y
desbloqueo. Un bloqueo controla el acceso de escritura a un recurso limitando
las operaciones de escritura HTTP, como  PUT, POST y DELETE. Esto significa
que solamente alguien que conozca el bloqueo podr ejectuar estas
operaciones. El protocolo WebDAV tambin define dos <strong>mbitos de
bloqueo</strong>: <em>bloqueo exclusivo y bloqueo compartido</em>. Un bloqueo
exclusivo garantiza que una persona posee el bloqueo y que nadie ms podr
bloquear el recurso (esto no afecta a la lectura del recurso). Un bloqueo
exclusivo permite a un grupo de usuarios crear sus bloqueos sobre un recurso,
pero deben confiar unos en otros para prevenir problemas de acceso. Adems,
cada bloqueo tiene una duracin lmite y el usuario no puede olvidar que los
bloqueos pueden desaparecer en el servidor debido a excepciones en el
servidor.</p>

<p>Puedes encontrar ms informacin sobre  WebDAV en <a
href="http://andrew2.andrew.cmu.edu/rfc/rfc2518.html">RFC 2518</a> y tambin
en <a href="http://www.webdav.org/">WebDAV.org</a>.</p>

<h2>Soporte de WebDAV en Amaya</h2>

<p>Amaya tiene un soporte de WebDAV opcional y limitado. Este soporte incluye
las operaciones siguientes:  bloqueo/desbloqueo de un recurso compilante
WebDAV, ver las propiedades WebDAV de un recurso y capacidades de
descubrimiento de bloqueos. Adems, este soporte incluye algunas funciones de
reconocimiento, que pueden informar automticamente al usuario sobre los
recursos bloqueados.</p>

<h3>Cmo utilizarlo?</h3>

<p>El soporte de WebDAV presente en Amaya pretende ayudar a pequeos grupos
de usuarios a editar en colaboracin sus pginas Web. Para mostrar cmo
funciona, he aqu un ejemplo; supn que tienes un servidor WebDAV (en
realidad, <strong>necesitas</strong> un servidor Web que soporte WebDAV para
trabajar con l) que se llama  <code>servidordav.miempresa.com</code>, y que
t y tus compaeros queris editar en colaboracin algunos documentos que
estn en la carpeta WebDAV <code>/shared/</code> (las carpetas WebDAV se
denominan colecciones).</p>

<p>Entonces, imagina que necesitas modificar el documento
<code>http://servidordav.miempresa.com/shared/Doc1.html</code>. Para ello,
abres el documento en tu editor Amaya y a continuacin
<strong>bloqueas</strong> el documento (<em>Bloquear recurso</em> en el <a
href="#L654">men Cooperacin</a> ver <a href="#L654">Figura 1</a>). Una vez
has bloqueado el documento, si uno de tus compaeros intenta guardar algn
cambio en el documento, ser avisado de tu bloqueo y las actualizaciones no
se perdern automticamente. Mientras el documento est bloqueado puedes
modificarlo, y cuando hayas terminado tu trabajo, al
<strong>desbloquear</strong> el documento, permitirs que otros compaeros
puedan bloquearlo y realizar sus modificaciones.</p>

<p><a id="L654"><img alt="Cooperation Menu"
src="../images/CooperationMenu.gif"></a></p>

<p>Por otro lado, si quieres saber si algn compaero ha bloqueado una pgina
Web, puedes utilizar la opcin <em>Ver propiedades del recurso</em> en el <a
href="#L654">men Cooperacin</a> para ver todas las propiedades de la pgina
o puedes configurar Amaya para que te informe automticamente cuando se
bloquee la pgina. para ello, tendrs que abrir la caja de dilogo
<em>Cooperacin&gt;Preferencias</em>, marcar la opcin de <em>Conocimiento
general</em> y escribir la direccin de tu carpeta compartida en el campo
<em>Lista de recursos WebDAV de usuario</em>
(<code>http://servidordav.miemmpresa.com/shared/</code>, como muestra la
Figura 2). Una vez lo hayas hecho, al abrir una pgina bloqueada por un
compaero de la carpeta
<code>http://servidordev.miempresa.com/shared/</code>, Amaya te informar.</p>

<p><img alt="Cooperation - Preferences "
src="../images/CooperationPreferences.gif"></p>

<h3>Opciones WebDAV en Amaya</h3>

<p>Estas opciones se encuentran en el men Cooperacin &gt; Preferencias. Se
indican los valores por omisin:</p>
<dl>
  <dt><code>DAV_DEPTH= [ infinity | <strong>0</strong> ]</code></dt>
    <dd>Profundidad del bloqueo. Si la profundidad es infinita, el bloqueo de
      una coleccin (carpeta) afectar a todos sus componentes. En caso
      contrario el bloqueo afectar nicamente a la coleccin, impidiendo al
      usuario que no conozca el bloqueo la creacin o eliminacin de
      componentes de la coleccin.</dd>
  <dt><code>DAV_TIMEOUT= [ <strong>Infinite</strong> | Second-XXXX
  ]</code></dt>
    <dd>Duracin del bloqueo. El valor "infinita" significa que el bloqueo no
      termina nunca y "Second-xxxx" intentar obtener un bloqueo durante XXXX
      segundos.</dd>
  <dt><code>DAV_LOCK_SCOPE= [ <strong>exclusive</strong> | shared
  ]</code></dt>
    <dd>mbito del bloqueo.</dd>
  <dt><code>DAV_USER_URL= [ URL ]</code></dt>
    <dd>URL que identifica al usuario. Ejemplo: mailto:yomismo@miservidor.com
      o http://miservidor.com/mihomepage.html</dd>
  <dt><code>DAV_AWARENESS= [ yes
  |</code><code><strong>no</strong></code><code>]</code></dt>
    <dd>Indica si el usuario desea informacin bsica sobre los recursos
      bloqueados.</dd>
  <dt><code>DAV_AWARENESS_ONEXIT=[ yes
  |</code><em><code></code></em><code><strong>no</strong></code><code>]</code></dt>
    <dd>Indica si el usuario quiere recibir informacin sobre sus propios
      bloqueos al abandonar un recurso.</dd>
  <dt><code>DAV_URLS= [ URL URL URL ... ]</code></dt>
    <dd>Lista de URLs de recursos empleados por el usuario como recursos
      WebDAV</dd>
</dl>

<h2>Cmo compilar Amaya con funciones WebDAV?</h2>

<p>WebDAV es una caracterstica opcional en Amaya. Para compilarla y poderla
utilizar, necesitars:</p>
<ul>
  <li>Libwww con soporte  WebDAV</li>
  <li>opciones de configuracin de Amaya</li>
  <li>un servidor WebDAV para poder utilizar estas funciones... <a
    href="http://www.w3.org/Jigsaw/">Jigsaw</a> y <a
    href="http://httpd.apache.org/">Apache</a> son algunos de los servidores
    web que soportan WebDAV.</li>
</ul>

<p>Una vez has comprobado el <em>cvs</em> de <a
href="http://www.w3.org/Library/">Libwww con soporte WebDAV</a>  y has
obtenido el <a href="http://www.w3.org/Amaya/User/cvs.html">cdigo fuente de
Amaya</a>, debes seguir los pasos siguientes en un sistema Linux/Unix (para
sistema Windows, consulta las pginas de <a
href="http://www.w3.org/Amaya/">Amaya</a> y <a
href="http://www.w3.org/Library/">Libwww</a>):</p>

<h4>En el directorio libwww:</h4>
<ul>
  <li>libtoolize -c -f</li>
  <li>perl config/winConfigure.pl</li>
  <li>aclocal; autoheader; automake; autoconf</li>
</ul>

<h4>En el directorio Amaya:</h4>
<ul>
  <li>autoconf</li>
  <li>mkdir LINUX-ELF (or GTK, or obj)</li>
  <li>cd LINUX-ELF</li>
  <li>../configure <strong>--with-dav</strong> ... (and all other options
    that you need)</li>
  <li>make</li>
</ul>
</div>
<hr>

<p><em>Escrito por <a href="mailto:mkirsch@terra.com.br">Manuele Kirsch
Pinheiro</a>, 13 de junio de 2002.</em></p>
</body>
</html>
